/** 
 *  @file   _FrameQBufMgr.h
 *
 *  @brief      Wrapper header file that module uses internally to accomdate
 *              front end FrameQBufMgr.h and generated FrameQBufMgr.h files on rtos side.
 *
 *
 */
/* 
 *  ============================================================================
 *
 *  Copyright (c) 2008-2009, Texas Instruments Incorporated
 *
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *  
 *  *  Redistributions of source code must retain the above copyright
 *     notice, this list of conditions and the following disclaimer.
 *  
 *  *  Redistributions in binary form must reproduce the above copyright
 *     notice, this list of conditions and the following disclaimer in the
 *     documentation and/or other materials provided with the distribution.
 *  
 *  *  Neither the name of Texas Instruments Incorporated nor the names of
 *     its contributors may be used to endorse or promote products derived
 *     from this software without specific prior written permission.
 *  
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 *  AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO,
 *  THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
 *  PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
 *  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
 *  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 *  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 *  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 *  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 *  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE,
 *  EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *  Contact information for paper mail:
 *  Texas Instruments
 *  Post Office Box 655303
 *  Dallas, Texas 75265
 *  Contact information: 
 *  http://www-k.ext.ti.com/sc/technical-support/product-information-centers.htm?
 *  DCMP=TIHomeTracking&HQS=Other+OT+home_d_contact
 *  ============================================================================
 *  
 */


#include <ti/syslink/ipc/rtos/FrameQBufMgr.h>

#undef FrameQBufMgr_create
#undef FrameQBufMgr_delete
#undef FrameQBufMgr_Handle
#undef FrameQBufMgr_Params
#undef FrameQBufMgr_Params_init
#undef FrameQBufMgr_NotifyFunc
#undef FrameQBufMgr_registerNotifier

#undef FrameQBufMgr_alloc
#undef FrameQBufMgr_allocv
#undef FrameQBufMgr_free
#undef FrameQBufMgr_freev
#undef FrameQBufMgr_add
#undef FrameQBufMgr_remove
#undef FrameQBufMgr_dup
#undef FrameQBufMgr_dupv
#undef FrameQBufMgr_writeBack
#undef FrameQBufMgr_invalidate
#undef FrameQBufMgr_getBaseHeaderSize
#undef FrameQBufMgr_getId
#undef FrameQBufMgr_isCacheEnabledForHeaderBuf
#undef FrameQBufMgr_isCacheEnabledForFrameBuf
#undef FrameQBufMgr_Frame
#undef FrameQBufMgr_FrameBufInfo
#undef FrameQBufMgr_FrameHeader
#undef FrameQBufMgr_getNumFreeFrames

#undef FrameQBufMgr_BufType
#undef FrameQBufMgr_BUF_FRAMEHEADER
#undef FrameQBufMgr_BUF_FRAMEBUF
#undef FrameQBufMgr_BUF_ENDVALUE

#undef FrameQBufMgr_AddrType
#undef FrameQBufMgr_AddrType_Virtual
#undef FrameQBufMgr_AddrType_Portable
#undef FrameQBufMgr_AddrType_EndValue
#undef FrameQBufMgr_AddrType_Virtual

#undef  FrameQBufMgr_CTLSTRUCT_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEHDR_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEBUF0_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEBUF1_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEBUF2_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEBUF3_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEBUF4_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEBUF5_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEBUF6_ISCACHEENABLED
#undef  FrameQBufMgr_FRAMEBUF7_ISCACHEENABLED
#undef  FrameQBufMgr_CacheFlags

#undef FrameQBufMgr_FRAMEBUF0_CPUACCESS
#undef FrameQBufMgr_FRAMEBUF1_CPUACCESS
#undef FrameQBufMgr_FRAMEBUF2_CPUACCESS
#undef FrameQBufMgr_FRAMEBUF3_CPUACCESS
#undef FrameQBufMgr_FRAMEBUF4_CPUACCESS
#undef FrameQBufMgr_FRAMEBUF5_CPUACCESS
#undef FrameQBufMgr_FRAMEBUF6_CPUACCESS
#undef FrameQBufMgr_FRAMEBUF7_CPUACCESS
#undef FrameQBufMgr_CpuAccessFlags

#undef FrameQBufMgr_Interface
#undef FrameQBufMgr_INTERFACE_SHAREDMEM
#undef FrameQBufMgr_INTERFACE_TILERMEM
#undef FrameQBufMgr_INTERFACE_NONE

#undef FrameQBufMgr_CreateParams
#undef FrameQBufMgr_CommonOpenParams
#undef FrameQBufMgr_NotifyParams
#undef FrameQBufMgr_MAX_POOLS
#undef FrameQBufMgr_MAX_FRAMEBUFS
#undef FrameQBufMgr_FrameBufParams

#undef FrameQBufMgr_MAXINSTANCES
#undef FrameQBufMgr_POOL_MAXFRAMES
#undef FrameQBufMgr_POOL_MAXHDRS
#undef FrameQBufMgr_POOL_DYNAMIC_MAXFRAMES
#undef FrameQBufMgr_POOL_DYNAMIC_MAXHDRS
#undef FrameQBufMgr_NOTIFY_RESERVED_EVENTNO

#undef FrameQBufMgr_translateAddr
#include <ti/syslink/FrameQBufMgr.h>

